Server Keys - List By Server

Sunucu anahtarlarının listesini alır.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/keys?api-version=2025-01-01

URI Parametreleri

Veri Akışı Adı İçinde Gerekli Tür Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

Kaynak grubunun adı. İsim büyük/küçük harfe duyarsızdır.

serverName
path True

string

Sunucunun adı.

subscriptionId
path True

string (uuid)

Hedef aboneliğin kimliği. Değer bir UUID olmalıdır.

api-version
query True

string

minLength: 1

Bu işlem için kullanılacak API sürümü.

Yanıtlar

Veri Akışı Adı Tür Description
200 OK

ServerKeyListResult

Azure işlemi başarıyla tamamlandı.

Other Status Codes

ErrorResponse

Beklenmeyen bir hata yanıtı.

Güvenlik

azure_auth

Azure Active Directory OAuth2 Flow.

Tür: oauth2
Akış: implicit
Yetkilendirme URL’si: https://login.microsoftonline.com/common/oauth2/authorize

Kapsamlar

Veri Akışı Adı Description
user_impersonation kullanıcı hesabınızın kimliğine bürünme

Örnekler

List the server keys by server

Örnek isteği

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys?api-version=2025-01-01

Örnek yanıt

{
  "value": [
    {
      "name": "someVault_someKey_01234567890123456789012345678901",
      "type": "Microsoft.Sql/servers/keys",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey_01234567890123456789012345678901",
      "kind": "azurekeyvault",
      "location": "Japan East",
      "properties": {
        "serverKeyType": "AzureKeyVault",
        "creationDate": "2024-11-15T00:00:00Z",
        "thumbprint": "00112233445566778899AABBCCDDEEFFAABBCCDD"
      }
    },
    {
      "name": "myVault_myKey_11111111111111111111111111111111",
      "type": "Microsoft.Sql/servers/keys",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/myVault_myKey_11111111111111111111111111111111",
      "kind": "azurekeyvault",
      "location": "Japan East",
      "properties": {
        "serverKeyType": "AzureKeyVault",
        "creationDate": "2024-11-15T00:00:00Z",
        "thumbprint": "AAAAAAAAAAAAAAABBBBBBBBBBBBBBBBBBBBBBBBB"
      }
    },
    {
      "name": "ServiceManaged",
      "type": "Microsoft.Sql/servers/keys",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/ServiceManaged",
      "kind": "servicemanaged",
      "location": "Japan East",
      "properties": {
        "serverKeyType": "ServiceManaged"
      }
    }
  ]
}

Tanımlar

Veri Akışı Adı Description
createdByType

Kaynağı oluşturan kimliğin türü.

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

ErrorDetail

Hata ayrıntısı.

ErrorResponse

Hata yanıtı

ServerKey

Sunucu anahtarı.

ServerKeyListResult

ServerKey listesi işleminin yanıtı.

ServerKeyType

'ServiceManaged', 'AzureKeyVault' gibi şifreleme koruyucusu türü.

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

createdByType

Kaynağı oluşturan kimliğin türü.

Değer Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Kaynak yönetimi hatası ek bilgileri.

Veri Akışı Adı Tür Description
info

object

Ek bilgiler.

type

string

Ek bilgi türü.

ErrorDetail

Hata ayrıntısı.

Veri Akışı Adı Tür Description
additionalInfo

ErrorAdditionalInfo[]

Hata ek bilgileri.

code

string

Hata kodu.

details

ErrorDetail[]

Hata ayrıntıları.

message

string

Hata iletisi.

target

string

Hata hedefi

ErrorResponse

Hata yanıtı

Veri Akışı Adı Tür Description
error

ErrorDetail

Hata nesnesi.

ServerKey

Sunucu anahtarı.

Veri Akışı Adı Tür Description
id

string (arm-id)

Kaynağın tam kaynak kimliği. Örneğin "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Bir tür şifreleme koruyucusu. Bu, Azure portal deneyimi için kullanılan meta veridir.

location

string

Kaynak konumu.

name

string

Kaynağın adı

properties.autoRotationEnabled

boolean

Anahtar otomatik döndürme kabul etme bayrağı. True veya false.

properties.creationDate

string (date-time)

Sunucu anahtarı oluşturma tarihi.

properties.keyVersion

string

Sunucu anahtarının sürümü.

properties.serverKeyType

ServerKeyType

'ServiceManaged', 'AzureKeyVault' gibi sunucu anahtarı türü.

properties.subregion

string

Sunucu anahtarının alt kaydı.

properties.thumbprint

string

Sunucu anahtarının parmak izi.

properties.uri

string

Sunucu anahtarının URI'sini. ServerKeyType AzureKeyVault ise URI gereklidir. AKV URI'sinin şu biçimde olması gerekir: 'https://YourVaultName.vault.azure.net/keys/YourKeyName/YourKeyVersion' veya 'https://YourVaultName.vault.azure.net/keys/YourKeyName' olabilir

systemData

systemData

Azure Resource Manager metadata içeren createdBy ve modifiedBy bilgileri.

type

string

Kaynağın türü. Örneğin "Microsoft. Compute/virtualMachines" veya "Microsoft. Depo/Depolama Hesapları"

ServerKeyListResult

ServerKey listesi işleminin yanıtı.

Veri Akışı Adı Tür Description
nextLink

string (uri)

Öğelerin bir sonraki sayfasına bağlantı

value

ServerKey[]

Bu sayfadaki ServerKey öğeleri

ServerKeyType

'ServiceManaged', 'AzureKeyVault' gibi şifreleme koruyucusu türü.

Değer Description
ServiceManaged

ServiceManaged

AzureKeyVault

AzureKeyVault

systemData

Kaynağın oluşturulması ve son değiştirilmesiyle ilgili meta veriler.

Veri Akışı Adı Tür Description
createdAt

string (date-time)

Kaynak oluşturma (UTC) zaman damgası.

createdBy

string

Kaynağı oluşturan kimlik.

createdByType

createdByType

Kaynağı oluşturan kimliğin türü.

lastModifiedAt

string (date-time)

Kaynağın son değişikliğinin zaman damgası (UTC)

lastModifiedBy

string

Kaynağı en son değiştiren kimlik.

lastModifiedByType

createdByType

Kaynağı en son değiştiren kimlik türü.